From 6ec87494f1625708a7932f74ea6f57e4767db73c Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Micha=C5=82=20G=C3=B3rny?= <mgorny@gentoo.org>
Date: Sat, 29 Oct 2022 06:55:07 +0200
Subject: [PATCH] Create wheel_dir before invoking the build backend
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Closes: https://github.com/projg2/gpep517/issues/3
Signed-off-by: Michał Górny <mgorny@gentoo.org>
---
 gpep517/__main__.py | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/gpep517/__main__.py b/gpep517/__main__.py
index daf95d1..3ecc691 100644
--- a/gpep517/__main__.py
+++ b/gpep517/__main__.py
@@ -101,6 +101,8 @@ def safe_samefile(path, cwd):
         for name in obj.split("."):
             backend = getattr(backend, name)
 
+    wheel_dir.mkdir(parents=True, exist_ok=True)
+
     logger.info(f"Building wheel via backend {backend_s}")
     wheel_name = backend.build_wheel(str(wheel_dir), args.config_json)
     logger.info(f"The backend produced {wheel_dir / wheel_name}")
